#
# spec file for package tanukiwrapper
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2000-2006, JPackage Project
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tanukiwrapper
Version:        3.5.25
Release:        6.38
Summary:        Java Service Wrapper
License:        MIT
Group:          Development/Libraries/Java
Url:            http://wrapper.tanukisoftware.org/
Source0:        http://download.sourceforge.net/wrapper/wrapper_%{version}_src.tar.gz
Patch1:         %{name}-build.patch
Patch3:         %{name}-Makefiles.patch
Patch7:         tanukiwrapper-ppc64le.patch
BuildRequires:  ant >= 1.6.1
BuildRequires:  ant-junit
BuildRequires:  cunit-devel
BuildRequires:  glibc-devel
BuildRequires:  java-devel
BuildRequires:  javapackages-tools
BuildRequires:  junit
BuildRequires:  perl
BuildRequires:  unzip
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
Requires:       javapackages-tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Java Service Wrapper is an application which has
evolved out of a desire to solve a number of problems
common to many Java applications:
- Run as a Windows Service or Unix Daemon
- Application Reliability
- Standard, Out of the Box Scripting
- On Demand Restarts
- Flexible Configuration
- Ease Application installations
- Logging

%package manual
Summary:        Documents for %{name}
Group:          Documentation/Other

%description manual
The Java Service Wrapper is an application which has
evolved out of a desire to solve a number of problems
common to many Java applications:
- Run as a Windows Service or Unix Daemon
- Application Reliability
- Standard, Out of the Box Scripting
- On Demand Restarts
- Flexible Configuration
- Ease Application installations
- Logging

%prep
%setup -q -n wrapper_%{version}_src
%patch1
%patch3 -p1
%patch7 -p1
find . -name "*.jar" -exec rm -f {} \;
perl -p -i -e 's/\r//' doc/AUTHORS
perl -p -i -e 's|-O3|%{optflags}|' src/c/Makefile*
perl -p -e \
  's|=\.\./lib/wrapper\.jar$|=%{_javadir}/%{name}.jar| ;
   s|=\.\./lib$|=%{_libdir}|' \
  src/conf/wrapper.conf.in > wrapper.conf.sample
perl -p -e \
  's|"\./wrapper"|"%{_sbindir}/%{name}"| ;
   s|"\.\./conf/wrapper\.conf"|"/path/to/wrapper.conf"|' \
  src/bin/sh.script.in > script.sh.sample

%build
export CLASSPATH=$(build-classpath ant junit xerces-j2 xml-commons-apis)
%ifarch x86_64 ia64 ppc64 ppc64le sparc64 s390x aarch64
bits=64
%else
bits=32
%endif
ant -Dbuild.sysclasspath=first -Djdk.api=%{_javadocdir}/java -Dbits=$bits \
  main

%install
# jar
mkdir -p %{buildroot}%{_javadir}
install -p -m 0644 lib/wrapper.jar %{buildroot}%{_javadir}/%{name}.jar

# jni
install -d -m 755 %{buildroot}%{_libdir}
install -p -m 755 lib/libwrapper.so %{buildroot}%{_libdir}

# commands
install -d -m 755 %{buildroot}%{_sbindir}
install -p -m 755 bin/wrapper %{buildroot}%{_sbindir}/%{name}

%files
%defattr(-,root,root,-)
%doc doc/wrapper-community-license-1.1.txt
%{_sbindir}/%{name}
%{_libdir}/libwrapper.so
%{_javadir}/%{name}.jar

%files manual
%defattr(0644,root,root,0755)
%doc doc/wrapper-community-license-1.1.txt *.sample
%doc doc/*

%changelog
* Mon Aug  4 2014 tchvatal@suse.com
- Version bump to 3.5.25:
  * Updating to latest upstream version
  * Javadoc is gone from the tarball
  * 8 years worth of developement, read revisions.txt in docs
- Cleanup the patches and merge all the makefile ones to one patch:
  * tanukiwrapper-Makefiles.patch
  * Removed patches:
    + tanukiwrapper-Makefile-s390-s390x-ppc.patch
    + tanukiwrapper-Makefile-aarch64.patch
    + tanukiwrapper-makefile-linux-x86-32.patch
- Remove patch that breaks build:
  * tanukiwrapper-crosslink.patch
- Refreshed patches
  * tanukiwrapper-ppc64le.patch
* Fri Aug  1 2014 dvlaeev@suse.com
- Fix ppc64le build
* Tue Jul  8 2014 tchvatal@suse.com
- Do not depend on ant-nodeps.
* Mon Jul  7 2014 tchvatal@suse.com
- Use junit not junit4 dep.
* Fri Sep 13 2013 mvyskocil@suse.com
- build with junit4
- fix Group tags
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Sun Aug 18 2013 schwab@suse.de
- Add aarch64 to the list of 64-bit architectures
- tanukiwrapper-Makefile-aarch64.patch: add makefile for aarch64
* Fri Dec 28 2012 dvaleev@suse.com
- update tanukiwrapper-Makefile-s390-s390x-ppc.patch to cover ppc64
  as well.
- build with asneeded
* Mon Jun 25 2012 mvyskocil@suse.cz
- fix a license Tag (MIT), use non-versioned jar and javadoc dir
* Tue Sep 29 2009 mvyskocil@suse.cz
- Initial packaging from jpackage-1.7
